#include <iostream>
using namespace std;

int main ()
{
    int L,n,m,sum=0,br=0;
    cin>>L>>n>>m;
    while ( L<sum)
    {
        m=n+m;
        sum=sum+m;
        br=br+1;

    }
 cout<<br+n*2+1;

    return 0;
}
